## NAME

v.univar.sh - Calculates univariate statistics on selected table column for a GRASS vector map

## KEYWORDS

vector, statistics

## SYNOPSIS

v.univar.sh
v.univar.sh help
v.univar.sh [-e] table=string column=string [database=string] [driver=string] [where=string]

### Flags:

-e
  Extended statistics (quartiles and 90th percentile)

### Parameters:

table=string
  Name of data table
column=string
  Column on which to calculate statistics (must be numeric)
database=string
  Database/directory for table
driver=string
  Database driver
where=string
  WHERE conditions of SQL statement without 'where' keyword

## DESCRIPTION

v.univar.sh - Calculates basic univariate statistics for numeric attributes in a data table. It will calculate minimum, maximum, range, mean, standard deviation, variance, coefficient of variation, quartiles, median, and 90th percentile. It is closely based on r.univar.sh and uses db.select to create a list values for statistical calculations. This script could be replaced by an updated v.univar.
(GRASS Shell Script)

## NOTES

Unless the database and driver are specified, it default the values set in db.connect.

## EXAMPLE

    g.region rast=elevation.10m -p
    v.random out=samples n=100
    v.db.addtable samples col="heights double precision"
    v.what.rast samples rast=elevation.10m col=heights
    v.db.select samples

    v.univar.sh samples col=heights

## SEE ALSO

r.univar, r.univar.sh, v.univar,, db.select, d.vect.thematic

AUTHORS v.univar.sh: Michael Barton, Arizona State University

and authors of r.univar.sh

Last changed: $Date: 2006/04/28 20:05:58 $

Main index - vector index - Full index